> ## Documentation Index
> Fetch the complete documentation index at: https://docs.re-factor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Runnable

> Delete a runnable

Delete a runnable by its ID. This operation cannot be undone. Any runs associated with this runnable will remain but will no longer be able to reference the runnable configuration.


## OpenAPI

````yaml DELETE /v1/runnable/{id}
openapi: 3.1.0
info:
  title: re-factor API Reference
  version: 1.0.0
  description: API specification for re-factor system based on schema definitions
servers: []
security:
  - BearerAuth: []
paths:
  /v1/runnable/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    delete:
      summary: Delete a runnable
      responses:
        '204':
          description: Runnable deleted
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````